import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        MonstreBuilder builder = new MonstreUniverselBuilder();
        MonstreDirector director = new MonstreDirector(builder);
        Monstre m1;
    
        try {
            Scanner scanner = new Scanner(System.in);

            System.out.println("Vous êtes un necromancien. Vous vous trouvez dans une forêt enchantée. Mais d'un seul coup, un monstre apparaît devant vous !");
            Thread.sleep(2000);
            System.out.println("Vous avez le choix entre plusieurs créatures pour vous protéger :");
            Thread.sleep(2000);
            System.out.println("1. Un dragon");
            Thread.sleep(2000);
            System.out.println("2. Un squelette");
            Thread.sleep(2000);
            System.out.println("3. Un goblin");
            Thread.sleep(2000);
            System.out.print("Quel monstre choisissez-vous ? ");

            int input = scanner.nextInt();

            switch (input) {
                case 1:
                    m1 = director.créerMonstre("dragon");
                    System.out.println(m1);
                    break;
                case 2:
                    m1 = director.créerMonstre("squelette");
                    System.out.println(m1);
                    break;
                case 3:
                    m1 = director.créerMonstre("gobelin");
                    System.out.println(m1);
                    break;
                default:
                    System.out.println("Choix invalide.");
                    break;
            }
            scanner.close();
        } catch (Exception e) {
            System.out.println("An error occurred: " + e.getMessage());
        }
    }
}
